CREATE TABLE irc_in_app_config (
    CONFIG_ID                   NUMBER(18, 0) ,
    PROVISIONING_ID             NUMBER(18, 0)     NOT NULL,
    OPTI_EXP_FLAG               VARCHAR2(4)   ,
    OPTI_EXP_TRUST_AUTH_FLAG    VARCHAR2(4)   ,
    REFERRER_DOMAINS            VARCHAR2(4000),
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)      NOT NULL,
    CREATED_BY                  VARCHAR2(256)     NOT NULL,
    CREATION_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128) ,
    CONFIG_ID                   NUMBER(18, 0) ,
    PROVISIONING_ID             NUMBER(18, 0)     NOT NULL,
    OPTI_EXP_FLAG               VARCHAR2(4)   ,
    OPTI_EXP_TRUST_AUTH_FLAG    VARCHAR2(4)   ,
    REFERRER_DOMAINS            VARCHAR2(4000),
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)      NOT NULL,
    CREATED_BY                  VARCHAR2(256)     NOT NULL,
    CREATION_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128) ,
    CONSTRAINT pk_irc_in_app_config PRIMARY KEY (CONFIG_ID, CONFIG_ID)
);
